summaryrefslogtreecommitdiff
path: root/tests/rm/f-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/f-1')
-rwxr-xr-xtests/rm/f-14
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/f-1 b/tests/rm/f-1
index bdd41d7ec..33041a350 100755
--- a/tests/rm/f-1
+++ b/tests/rm/f-1
@@ -1,7 +1,7 @@
#!/bin/sh
# Test "rm -f" with a nonexistent file.
-# Copyright (C) 1997, 2002, 2004 Free Software Foundation, Inc.
+# Copyright (C) 1997, 2002, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
test_failure=0